Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.autonomy.aci.services
Interface ProfilingFunctionality

public interface ProfilingFunctionality

Method Summary
`AciResponse` | `addDocumentToProfile(User user, java.lang.String sDocumentRef)` Add a given document to a user's profile.
`AciResponse` | `deleteAllUserProfiles(User user)` Remove all the profile assosciated with a user.
`AciResponse` | `deleteProfile(Profile profile)` Remove the given user profile.
`Profile` | `getProfile(java.lang.String sProfileID)` Reads the details of a user agent from IDOL.
`java.util.ArrayList` | `getProfileList(User user)` Read the details of a user's profiles from IDOL.
`ResultList` | `getProfileResults(Profile profile, java.util.ArrayList alProfileGetResultsParams)` Retrieve the documents that currently match the user's profile.

Method Detail

### addDocumentToProfile

    public AciResponse addDocumentToProfile(User user,
                                            java.lang.String sDocumentRef)
                                     throws AciException,
                                            UserNotFoundException

  Add a given document to a user's profile.

  Parameters:
    `user` - the user whose profile should be updated.
    `sDocumentRef` - the reference of the document to add to the user's profile.
  Returns:
    the response from IDOL to the ProfileUser request.
  Throws:
    `AciException` - if there was an error when making the request.
    `UserNotFoundException` - if the user does not exist on IDOL.

### getProfile

    public Profile getProfile(java.lang.String sProfileID)
                       throws AciException,
                              ProfileNotFoundException,
                              UserNotFoundException

  Reads the details of a user agent from IDOL.

  Parameters:
    `sProfileID` - the unique ID of the profile whose details are required.
  Returns:
    a `Profile` object representing the required profile.
  Throws:
    `AciException` - if there was an error when making the request.
    `ProfileNotFoundException` - if the specified profile does not exist on IDOL.
    `UserNotFoundException` - if the specified user does not exist on IDOL.

### getProfileResults

    public ResultList getProfileResults(Profile profile,
                                        java.util.ArrayList alProfileGetResultsParams)
                                 throws AciException,
                                        UserNotFoundException,
                                        DataStoreNotFoundException

  Retrieve the documents that currently match the user's profile.

  Parameters:
    `profile` - the profile whose results are required.
    `alProfileGetResultsParams` - extra parameters to send when retrieving profile results. Parameters set here will override any parameters set by the profile. Can be `null`.
  Returns:
    a `ResultList` containing the documents matching the user's profile.
  Throws:
    `AciException` - if there was an error when making the request.
    `UserNotFoundException` - if the specified user does not exist on IDOL.
    `DataStoreNotFoundException` - if the content Suir was not available to retrieve results from.

### deleteProfile

    public AciResponse deleteProfile(Profile profile)
                              throws AciException,
                                     ProfileNotFoundException

  Remove the given user profile.

  Parameters:
    `profile` - the profile to delete.
  Returns:
    the response from IDOL to the ProfileClear request.
  Throws:
    `ProfileNotFoundException`
    `AciException` - if there was an error when making the request.

### deleteAllUserProfiles

    public AciResponse deleteAllUserProfiles(User user)
                                      throws AciException

  Remove all the profile assosciated with a user.

  Parameters:
    `user` - the owner of the profiles to remove.
  Returns:
    the response from IDOL to the ProfileClear request.
  Throws:
    `AciException` - if there was an error when making the request.

### getProfileList

    public java.util.ArrayList getProfileList(User user)
                                       throws AciException,
                                              UserNotFoundException

  Read the details of a user's profiles from IDOL.

  Parameters:
    `user` - the user whose profile should be deleted.
  Returns:
    an `ArrayList` of `Profile` objects representing the profiles the user has stored on IDOL.
  Throws:
    `AciException` - if there was an error when making the request.
    `UserNotFoundException` - if the specified user does not exist on IDOL.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD